Loading...
Searching...
No Matches
Catch::Benchmark::Chronometer Struct Reference

`#include <catch_amalgamated.hpp>`

Collaboration diagram for Catch::Benchmark::Chronometer:
[legend]

## Public Member Functions

template<typename Fun>
void | measure (Fun &&fun)
int | runs () const
| Chronometer (Detail::ChronometerConcept &meter, int repeats_)

## Private Member Functions

template<typename Fun>
void | measure (Fun &&fun, std::false_type)
template<typename Fun>
void | measure (Fun &&fun, std::true_type)

## Private Attributes

Detail::ChronometerConcept * | impl
int | repeats

## Constructor & Destructor Documentation

## Chronometer()

Catch::Benchmark::Chronometer::Chronometer | ( | Detail::ChronometerConcept & | meter,
|  | int | repeats_ )

inline

## Member Function Documentation

## measure() [1/3]

template<typename Fun>

void Catch::Benchmark::Chronometer::measure | ( | Fun && | fun | ) |

inline

Here is the call graph for this function:
Here is the caller graph for this function:

## measure() [2/3]

template<typename Fun>

void Catch::Benchmark::Chronometer::measure | ( | Fun && | fun,
|  | std::false_type | )

inlineprivate

Here is the call graph for this function:

## measure() [3/3]

template<typename Fun>

void Catch::Benchmark::Chronometer::measure | ( | Fun && | fun,
|  | std::true_type | )

inlineprivate

Here is the call graph for this function:

## runs()

int Catch::Benchmark::Chronometer::runs | ( |  | ) | const

inline

## Member Data Documentation

## impl

Detail::ChronometerConcept* Catch::Benchmark::Chronometer::impl

private

## repeats

int Catch::Benchmark::Chronometer::repeats

private

The documentation for this struct was generated from the following file:

- tests/vendor/catch_amalgamated.hpp